from .product.mode import Frequency, Voltage, Current


__all__ = [
    "window", "maximize_window",

    "screenshot_directory_name", "screenshot_fallback_path",
    "screenshot_external_media_path",
    "screenshot_gpio", "screenshot_gpio_inverted",
    "screenshot_gpio_check_frequency",

    "freeze_gpio", "freeze_gpio_inverted", "freeze_gpio_check_frequency",

    "score_threshold", "enable_score",

    "enable_sound", "enable_sound_support",

    "frequency", "frequency_enabled",
    "voltage", "voltage_enabled",
    "current", "current_enabled"
]


# General window settings
window = "pc"  # Right panel type ("pc" or "embedded")

maximize_window = True


# Screenshots
screenshot_directory_name = "EyePoint S1"
screenshot_fallback_path = "./"
screenshot_external_media_path = None  # Path to mounted volumes directory (like "/media/eyepoint/") or None to disable
screenshot_external_media_only = False  # If True, will not offer to save screenshots to fallback path
screenshot_show_save_as_dialog = True  # If False, screenshots will be saved automatically
screenshot_check_external_media_frequency = 5.0  # [!]unused var

screenshot_gpio = None  # Pin number for check gpio state or None
screenshot_gpio_inverted = False  # Signal level inverted
screenshot_gpio_check_frequency = 5.0  # Frequency for GPIO reader


# Freeze
freeze_gpio = None  # Pin number for check gpio state or None
freeze_gpio_inverted = False  # Signal level inverted
freeze_gpio_check_frequency = 5.0  # Frequency for GPIO reader


# Score
score_threshold = 0.15
enable_score = True  # If False, score calculation will be disabled


# Sound
enable_sound = True  # Sound enabled on start
enable_sound_support = True  # If False, sound will be not enabled at all


# Initial measure settings and enabled modes
frequency = Frequency.FREQUENCY_10HZ  # Frequency on start
frequency_enabled = {f for f in Frequency}

voltage = Voltage.VOLTAGE_3_3V  # Voltage on start
voltage_enabled = None  # All

current = Current.CURRENT_250UA  # Current on start
current_enabled = None  # All


# Cursor
hide_cursor = False
